# Refund Payment

#### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

| Environment | Method | URL |
| ----------- | ------ | --- |
| Development | POST   | TBC |
| Production  | POST   | TBC |

#### Body Request <a href="#body-request" id="body-request"></a>

| No | Name                       | Type                                                                       | Mandatory | Min Length | Max Length | Description                                                |
| -- | -------------------------- | -------------------------------------------------------------------------- | --------- | ---------- | ---------- | ---------------------------------------------------------- |
| 1  | merchantId                 | String                                                                     | M         | 1          | 64         | Merchant identifier that is unique for each merchant       |
| 2  | originalPartnerReferenceNo | String                                                                     | O         | 1          | 64         | Original transaction identifier on service consumer system |
| 3  | originalReferenceNo        | String                                                                     | M         | 1          | 64         | Original transaction identifier on service provider system |
| 4  | partnerRefundNo            | String                                                                     | M         | 1          | 64         | Partner reference number for the refund transaction        |
| 5  | refundAmount               | [Object](https://docs.finpay.id/appendix/json-object/refund-amount-object) | M         | 1          | 2          | Refund amount detail                                       |
| 6  | reason                     | String                                                                     | M         | 1          | 256        | Refund reason                                              |
| 7  | refundTime                 | String (ISO 8601)                                                          | M         | 1          | 25         | Refund date and time in ISO 8601 format                    |
| 8  | additionalInfo             | Object                                                                     | O         | 1          | 1          | Additional information for the refund request              |
| 9  | additionalInfo.terminalId  | String                                                                     | O         | 1          | 32         | Terminal identifier                                        |

**Sample Request**

```
{
  "merchantId": "00007100010926",
  "originalPartnerReferenceNo": "2020102900000000000001",
  "originalReferenceNo": "2020102977770000000009 ",
  "partnerRefundNo": "239850918204981205970",
  "refundAmount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "reason": "Customer complain",
  "refundTime": "2020-12-21T17:21:41+07:00",
  "additionalInfo": {
    "terminalId": "A1234567"
  }
}
```

#### Body Response <a href="#body-response" id="body-response"></a>

| No | Name                       | Type                                                                       | Mandatory | Min Length | Max Length | Description                                                |
| -- | -------------------------- | -------------------------------------------------------------------------- | --------- | ---------- | ---------- | ---------------------------------------------------------- |
| 1  | responseCode               | [Enum](https://docs.finpay.id/appendix/enumeration/response-code-list)     | M         | 1          | 7          | BI SNAP response code                                      |
| 2  | responseMessage            | String                                                                     | M         | 1          | 150        | BI SNAP response message                                   |
| 3  | originalPartnerReferenceNo | String                                                                     | O         | 1          | 64         | Original transaction identifier on service consumer system |
| 4  | originalReferenceNo        | String                                                                     | M         | 1          | 64         | Original transaction identifier on service provider system |
| 5  | originalExternalId         | String                                                                     | O         | 1          | 32         | External identifier from the original refund request       |
| 6  | refundNo                   | String                                                                     | M         | 1          | 64         | Refund transaction identifier on service provider system   |
| 7  | partnerRefundNo            | String                                                                     | M         | 1          | 64         | Partner reference number for the refund transaction        |
| 8  | refundAmount               | [Object](https://docs.finpay.id/appendix/json-object/refund-amount-object) | O         | 1          | 2          | Refund amount detail                                       |
| 9  | refundTime                 | String (ISO 8601)                                                          | M         | 1          | 25         | Refund date and time in ISO 8601 format                    |
| 10 | additionalInfo             | Object                                                                     | O         | 1          | 1          | Additional information returned in the response            |
| 11 | additionalInfo.terminalId  | String                                                                     | O         | 1          | 32         | Terminal identifier                                        |

**Sample Response**

```
{
  "responseCode": "2008000",
  "responseMessage": "Request has been processed successfully",
  "originalPartnerReferenceNo": "2020102900000000000001",
  "originalReferenceNo": "2020102977770000000009",
  "originalExternalId": "10052019",
  "refundNo": "REF993883",
  "partnerRefundNo": "239850918204981205970",
  "refundAmount": {
    "value": "10000.00",
    "currency": "IDR"
  },
  "refundTime": "2020-12-21T17:21:41+07:00",
  "additionalInfo": {
    "terminalId": "A1234567"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/snap/qris-tap-aggregator/refund-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
